## GdaTreeMgrSchemas GdaTreeMgrSchemas — A tree manager which creates a node for each schema in a database |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    struct              GdaTreeMgrSchemas;
    GdaTreeManager *    gda_tree_mgr_schemas_new            (GdaConnection *cnc);

## Object Hierarchy

      GObject
       +----GdaTreeManager
             +----GdaTreeMgrSchemas

## Properties

      "connection"               GdaConnection*        : Read / Write / Construct Only
      "meta-store"               GdaMetaStore*         : Read / Write / Construct Only

## Description

The GdaTreeMgrSchemas is a GdaTreeManager object which creates a node for each schema in a database.

It uses the GdaMetaStore associated to a GdaConnection to get the schemas list; it's up to the caller to make sure the data in the GdaMetaStore is up to date.

The GdaConnection to be used needs to be specified when the object is created.

## Details

### struct GdaTreeMgrSchemas

    struct GdaTreeMgrSchemas;

### gda_tree_mgr_schemas_new ()

    GdaTreeManager *    gda_tree_mgr_schemas_new            (GdaConnection *cnc);

Creates a new GdaTreeManager object which will add one tree node for each database schema found in `cnc`.

`cnc` : | a GdaConnection object
Returns : | a new GdaTreeManager object. [transfer full]

Since 4.2

## Property Details

### The `"connection"` property

      "connection"               GdaConnection*        : Read / Write / Construct Only

Defines the GdaConnection to display information for. Necessary upon construction unless the "meta-store" property is specified instead.

### The `"meta-store"` property

      "meta-store"               GdaMetaStore*         : Read / Write / Construct Only

Defines the GdaMetaStore to extract information from. Necessary upon construction unless the "connection" property is specified instead. This property has priority over the GdaTreeMgrSchema:connection property.

Since 4.2.4